> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Details

> Get video details and thumbnails.

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "videoDetails": {
      "video_id": "SM66GDRyIVY",
      "video_url": "https://www.youtube.com/watch?v=SM66GDRyIVY",
      "title": "I Helped 2,000 People Walk Again",
      "viewCount": 117138437,
      "duration": 930,
      "description": "Thank you for making this video possible\nROMP: https://rompglobal.org/beastmode\nMartin Bionics: https://martinbionics.com/mrbeast/ \nCure: https://walkagain.cure.org/kenya \nHand-in-Hand: https://linktr.ee/handinhand_ngo \nSTAND: https://stand.ngo/doc/ \nUgani: https://ugani.org/ \nExceed: https://www.exceed-worldwide.org/ \nProsthetic One: https://prosthetic1.com/ \nKai Davis: https://www.kaidavisprosthetics.com/ \n\nNew Merch - https://mrbeast.store\n\nCheck out Viewstats! - https://www.viewstats.com/\n\nSUBSCRIBE OR I TAKE YOUR DOG\n╔═╦╗╔╦╗╔═╦═╦╦╦╦╗╔═╗\n║╚╣║║║╚╣╚╣╔╣╔╣║╚╣═╣ \n╠╗║╚╝║║╠╗║╚╣║║║║║═╣\n╚═╩══╩═╩═╩═╩╝╚╩═╩═╝\n\nFor any questions or inquiries regarding this video, please reach out to chucky@mrbeastbusiness.com\n\nMusic Provided by https://www.extrememusic.com\n\n----------------------------------------------------------------\nfollow all of these or i will kick you\n• Facebook - https://www.facebook.com/MrBeast/\n• Twitter - https://twitter.com/MrBeast\n•  Instagram - https://www.instagram.com/mrbeast\n•  Im Hiring! - https://www.mrbeastjobs.com/\n--------------------------------------------------------------------",
      "is_live_content": false,
      "published_time": "11-01-2025",
      "channel-id": "UCX6OQ3DkcsbYNE6H8uQQuVA",
      "category": "Entertainment",
      "category-id": "24",
      "type": "NORMAL"
    },
    "keywords": [],
    "thumbnails": [
      {
        "url": "https://i.ytimg.com/vi/SM66GDRyIVY/hqdefault.jpg?sqp=-oaymwEbCKgBEF5IVfKriqkDDggBFQAAiEIYAXABwAEG&rs=AOn4CLAdagxLuYVmhpc5uQ5cDRUQ84CB7A",
        "width": 168,
        "height": 94
      },
      {
        "url": "https://i.ytimg.com/vi/SM66GDRyIVY/hqdefault.jpg?sqp=-oaymwEbCMQBEG5IVfKriqkDDggBFQAAiEIYAXABwAEG&rs=AOn4CLDvkdGJS5lZPrWLZq_vFQ1_ISc_Tw",
        "width": 196,
        "height": 110
      },
      {
        "url": "https://i.ytimg.com/vi/SM66GDRyIVY/hqdefault.jpg?sqp=-oaymwEcCPYBEIoBSFXyq4qpAw4IARUAAIhCGAFwAcABBg==&rs=AOn4CLDItO2eL6l1roQWkwlvlrnjEzfj7A",
        "width": 246,
        "height": 138
      },
      {
        "url": "https://i.ytimg.com/vi/SM66GDRyIVY/hqdefault.jpg?sqp=-oaymwEcCNACELwBSFXyq4qpAw4IARUAAIhCGAFwAcABBg==&rs=AOn4CLB4sFVsiWEoGiNCOm40HZrDv3z1PQ",
        "width": 336,
        "height": 188
      },
      {
        "url": "https://i.ytimg.com/vi/SM66GDRyIVY/maxresdefault.jpg",
        "width": 1920,
        "height": 1080
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/youtube-videos-details
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/youtube-videos-details:
    get:
      tags:
        - Workflow
      description: Triggers the workflow youtube-videos-details
      operationId: get_wf_youtube-videos-details
      parameters:
        - name: video_id
          in: query
          required: true
          description: >-
            Possible Examples: Full url:
            `https://www.youtube.com/watch?v=KkCXLABwHP0` OR video_id:
            `KkCXLABwHP0`
          schema:
            type: string
        - name: masterID
          in: query
          required: false
          description: >-
            If you would like to get the channel details, add the **masterID**
            of that social account. You can get this id from **Get Profile by
            URL** OR **Get Channel Details**
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````